You can register a customer using the following URL
POST
/api/v1/customer/auth/register
Request Parameters
| Parameter | Value / Type | Required |
|---|---|---|
| username | STRING | true |
| fb_uuid | STRING | false |
| first_name | STRING | true |
| last_name | STRING | true |
| STRING | true | |
| address_line_1 | STRING | true |
| city | STRING | true |
| state | STRING | true |
| zip | INTEGER | true |
| phone | STRING/NUMERIC | true |
| date_of_birth | STRING | true |
| customer_sex | STRING | true |
| avatar_url | STRING | false |
| referral_code | STRING | false |
| signup_location_id | STRING/NUMERIC | false |
| source_campaign_code | STRING | false |
Sample Responses
{
"status": true,
"item": {
"id": "ORwdvb48EQZeJXLBq7nQ",
"scan_id": null,
"username": "jbbb",
"fb_uuid": null,
"first_name": "Steve",
"last_name": "Phillips",
"date_of_birth": "1989-05-01",
"address_line_1": "Test",
"address_line_2": null,
"city": "Oxford",
"state": "New York",
"zip": "12754",
"phone": "123 456 789",
"customer_description": "",
"can_text": 0,
"can_email": 0,
"can_mail": 0,
"can_call": 0,
"last_location_id": null,
"signup_location_id": null,
"last_location_visit": null,
"lifetime_sales": "0.00",
"customer_added": null,
"customer_added_source": "",
"customer_web_source": "",
"has_used_website": 0,
"has_used_mobile": 0,
"customer_sex": "Male",
"license_number": null,
"email": "[email protected]",
"phone_number": "",
"phone_number_confirmed": 0,
"two_factor_enabled": 0,
"lockout_end_date": null,
"lockout_enabled": 0,
"created_at": "2017-12-08 19:36:34",
"updated_at": "2017-12-08 19:36:34",
"status": 1
},
"token":"API TOKEN"
}{
"status": false,
"errorCode": "VALIDATION_EXCEPTION",
"messages": {
"email": [
"The email has already been taken."
]
}
}{
"status": false,
"message": "Failed to register as the referral code used was invalid"
}